Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059479 - Tasks should be executable in an IPv6 only environment
Summary: Tasks should be executable in an IPv6 only environment
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: beah
Version: 0.15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.15.4
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 22:57 UTC by Amit Saha
Modified: 2018-02-06 00:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-18 01:36:13 UTC


Attachments (Terms of Use)

Description Amit Saha 2014-01-29 22:57:03 UTC
Description of problem:


BZ#810893 added the support for running tests in an IPv6 only environment. However, it assumes that IPv4 is always available, which may not be the case if there is a recipe which has a task after the task which disables IPv6. Hence, in the absence of IPv4 the beah services which are started per task fails to start.

Version-Release number of selected component (if applicable):

Beah 0.7.0

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:



Expected results:


Additional info:

This will also of course need the ability to first communicate with the task library correctly over IPv6, but we must fix this from Beah's side of things.

Comment 2 Dan Callaghan 2014-02-11 04:24:23 UTC
On Gerrit: http://gerrit.beaker-project.org/2795

Verified that jobs still proceed when all IPv4 addresses are deleted (including 127.0.0.1) assuming that all the necessary hostnames are resolvable using either /etc/hosts or a DNS server reachable over IPv6.

Comment 4 Dan Callaghan 2014-02-12 05:43:21 UTC
This bug fix is included in beah 0.7.2 which is available from the harness-testing yum repos:

http://beaker-project.org/yum/harness-testing/

Comment 7 Dan Callaghan 2014-02-18 01:36:13 UTC
Beah 0.7.2 has been released.


Note You need to log in before you can comment on or make changes to this bug.